Loading...
Searching...
No Matches
casacore::SDDataDescHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDDataDescHandler.h>`

## Public Member Functions

| SDDataDescHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDDataDescHandler (MeasurementSet &ms)
| attach this to a MS - no columns are explicitly handled here
| SDDataDescHandler (const SDDataDescHandler &other)
| copy ctor
| ~SDDataDescHandler ()
SDDataDescHandler & | operator= (const SDDataDescHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &)
| reset internals given indicated row, use the same MS; just resets the id pointer
void | fill (const Record &row, Int spwinId, Int polId)
| fill - a new row is added only when necessary
Int | dataDescId ()
| get the current dataDesc ID

## Private Member Functions

void | clearAll ()
| cleanup everything
void | initAll (MeasurementSet &ms)
| initialize everything

## Private Attributes

RecordFieldPtr< Int > | spwinIdKey_p
RecordFieldPtr< Int > | polIdKey_p
ColumnsIndex * | index_p
MSDataDescription * | msDataDesc_p
MSDataDescColumns * | msDataDescCols_p
Int | rownr_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 84 of file SDDataDescHandler.h.

## Constructor & Destructor Documentation

## SDDataDescHandler() [1/3]

casacore::SDDataDescHandler::SDDataDescHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDDataDescHandler().

## SDDataDescHandler() [2/3]

casacore::SDDataDescHandler::SDDataDescHandler | ( | MeasurementSet & | ms | ) |

attach this to a MS - no columns are explicitly handled here

## SDDataDescHandler() [3/3]

casacore::SDDataDescHandler::SDDataDescHandler | ( | const SDDataDescHandler & | other | ) |

copy ctor

References SDDataDescHandler().

## ~SDDataDescHandler()

casacore::SDDataDescHandler::~SDDataDescHandler | ( |  | ) |

inline

Definition at line 96 of file SDDataDescHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDDataDescHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDDataDescHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDDataDescHandler().

## dataDescId()

Int casacore::SDDataDescHandler::dataDescId | ( |  | ) |

inline

get the current dataDesc ID

Definition at line 111 of file SDDataDescHandler.h.

References rownr_p.

## fill()

void casacore::SDDataDescHandler::fill | ( | const Record & | row,
|  | Int | spwinId,
|  | Int | polId )

fill - a new row is added only when necessary

References casacore::Record().

## initAll()

void casacore::SDDataDescHandler::initAll | ( | MeasurementSet & | ms | ) |

private

initialize everything

## operator=()

SDDataDescHandler & casacore::SDDataDescHandler::operator= | ( | const SDDataDescHandler & | other | ) |

assignment operator, uses copy semantics

References SDDataDescHandler().

## resetRow()

void casacore::SDDataDescHandler::resetRow | ( | const Record & |  | ) |

inline

reset internals given indicated row, use the same MS; just resets the id pointer

Definition at line 105 of file SDDataDescHandler.h.

References casacore::Record(), and rownr_p.

## Member Data Documentation

## index_p

ColumnsIndex* casacore::SDDataDescHandler::index_p

private

Definition at line 114 of file SDDataDescHandler.h.

## msDataDesc_p

MSDataDescription* casacore::SDDataDescHandler::msDataDesc_p

private

Definition at line 115 of file SDDataDescHandler.h.

## msDataDescCols_p

MSDataDescColumns* casacore::SDDataDescHandler::msDataDescCols_p

private

Definition at line 116 of file SDDataDescHandler.h.

## polIdKey_p

RecordFieldPtr<Int> casacore::SDDataDescHandler::polIdKey_p

private

Definition at line 113 of file SDDataDescHandler.h.

## rownr_p

Int casacore::SDDataDescHandler::rownr_p

private

Definition at line 118 of file SDDataDescHandler.h.

Referenced by dataDescId(), and resetRow().

## spwinIdKey_p

RecordFieldPtr<Int> casacore::SDDataDescHandler::spwinIdKey_p

private

Definition at line 113 of file SDDataDescHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDDataDescHandler.h